# coding: utf-8
                       СИНТЕЗАТОР РУССКОЙ РЕЧИ

Ru_tts - это программный синтезатор русской речи. Он выполняет полное
TTS-преобразование, беря текстовую информацию из входного потока и
выдавая на выходной поток оцифрованный звук в формате "raw linear
signed 8-bit 10 kHz". Проигрыванием генерируемого звука он сам не
занимается, нужно использовать какую-либо внешнюю программу, например,
Sox, который можно найти в составе едва ли не любого уважающего себя
дистрибутива Linux. Примером использования Sox для проигрывания
синтезируемой речи может служить скрипт ru_speak. Этот скрипт можно
использовать для немедленного проговаривания текста, поступающего на
его входной поток. Он принимает текст в кодировке текущей локали,
беря на себя заботы о перекодировке. Все параметры из командной
строки передаются синтезатору как есть.

Входной текст ru_tts воспринимает в кодировке koi8-r. Символы '+' и
'=' непосредственно после гласной воспринимаются как признаки сильного
и слабого ударения соответственно.

На поведение ru_tts можно влиять посредством ключей командной строки,
которые условно можно разделить на несколько групп.


Параметры речи.

Большинство ключей этой группы принимают в качестве аргумента числовое
значение. Эти значения используются как множители, накладываемые на
некий нормальный уровень соответствующего параметра. Все они должны
быть неотрицательными. Нормальному уровню соответствует значение
1.0. Большие значения пропорционально увеличивают соответствующий
параметр, меньшие - пропорционально уменьшают его. Диапазон изменения
для разных параметров различен, но все значения за рамками диапазона
приводятся к нему автоматически.

-r value -- Скорость речи (от 0.2 до 5.0).

-p value -- Высота голоса (от 0.5 до 3.0).

-e value -- Выразительность речи (от 0.0 до 1.4).

-g value -- Длительность пауз между фразами.
            Если значение непосредственно предваряется
            одним из символов ',', '.', ';', ':', '?', '!',
            то оно относится только к паузам, возникающим после
            соответствующего знака препинания. Если значение
            предваряется символом '-', то оно применяется к
            интонационным паузам, вставляемым для фразеологического
            членения длинных последовательностей слов.
            Значение без предваряющего символа накладывается
            на все паузы, пропорционально меняя их длительность.
            Разумеется, этот ключ можно использовать несколько раз,
            чтобы настроить все паузы желаемым образом.
            Нижняя граница диапазона значений для этого параметра
            всегда 0.0. Верхняя же существенно зависит
            как от типа паузы (предваряющего символа),
            так и от скорости речи.

-a -- Использовать альтернативный (женский) голос.


Интерпретация чисел.

По-умолчанию и точка, и запятая внутри чисел воспринимаются как
разделитель целой и дробной части. Но это поведение может быть
изменено посредством ключей данной группы.

-d. -- Считать разделителем только точку.

-d, -- Считать разделителем только запятую.

-d- -- Вовсе отказаться от интерпретации дробных чисел.
       В этом случае целая и дробная части воспринимаются как два
       отдельных целых числа, разделенных соответствующим знаком
       препинания.


Использование словаря произношений.

-s path -- Путь к словарю произношений Rulex.

-l path -- Путь к файлу для сохранения не найденных в словаре слов.
           Это предусмотрено главным образом для работы над словарем
           как таковым и имеет смысл лишь при его использовании.


Прочие ключи.

-v -- Имя и версия программы.

-h -- Кратенькая справочка об использовании.
